Sidef::Types::Regex::Match(3)

NAME
Sidef::Types::Regex::Match

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Match(...)

INHERITS
Inherits methods from:

       * Sidef::Object::Object

METHODS

  ...
    a ... b

Returns the

  cap
    Match.cap()

Returns the

Aliases: to_a, caps, to_array, captures

  dump
    Match.dump()

Returns the

  join
    Match.join()

Returns the

  ncap
    Match.ncap()

Returns the

Aliases: ncaps, named_captures

  pos
    Match.pos()

Returns the

Aliases: match_pos

  regex
    Match.regex()

Returns the

  string
    Match.string()

Returns the

  to_bool
    Match.to_bool()

Returns the

Aliases: matched, is_successful

  to_s
    Match.to_s()

Returns the

Aliases: to_str